## Functions

The functions and macros defined in wxWidgets are described here: you can either look up a function using the alphabetical listing of them or find it in the corresponding topic.

Alphabetical functions and macros list
Version macros
Application initialization and termination
Process control functions
Thread functions
File functions
Network, user and OS functions
String functions
Dialog functions
Math functions
GDI functions
Printer settings
Clipboard functions
Miscellaneous functions
Byte order macros
RTTI functions
Log functions
Time functions
Debugging macros and functions
Environment access functions